Get GSTR-1A Declaration Details
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"gstin": "32CHAND3868A1Z3",
"ret_period": "092024",
"r2bStaleStatus": "N",
"declared_tmstmp": "2025-03-20 13:24:00",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"liab": {
"gstr1Liab": {
"sec_nm": "TTL_LIAB_GSTR1",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
},
"iffLiab": [
{
"sec_nm": "TTL_LIAB_IFF",
"chksum": "938a7da1b6692b772d3c04fe1a7005ba1508d765acd007df5ed7fb7b8cb38c05",
"iff_ret_period": "072024",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
},
{
"sec_nm": "TTL_LIAB_IFF",
"chksum": "063a5b1a3bbc23d11761b156c446a285d7703be484a276a0a32e29bda10d4f8a",
"iff_ret_period": "082024",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
}
],
"gstr1aLiab": {
"sec_nm": "TTL_LIAB_GSTR1A",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"ttl_tax": 1000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
}
},
"bal": {
"cash_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 10000,
"cgst_bal": 5000,
"sgst_bal": 5000,
"cess_bal": 1000,
"ttl_bal": 21000
},
"itc_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 10000,
"cgst_bal": 0,
"sgst_bal": 0,
"cess_bal": 0,
"ttl_bal": 0
},
"gstr2b_itc_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 0,
"cgst_bal": 0,
"sgst_bal": 0,
"cess_bal": 0,
"ttl_bal": 0
}
}
}
}
}Get GSTR-1A Declaration Details
This API is used to view the GSTR1 , GSTR1A and IFF Liability details along with Available ITC ,Cash Ledger details and ITC Available as per GSTR2B Details.
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
declaration-details
/
{year}
/
{month}
Get GSTR-1A Declaration Details
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.
Compliance API version.
API key for identification.
Path Parameters
Return year, for example 2025.
Return month, for example 04.
Response
200 - application/json
Success
The response is of type object.
Was this page helpful?
āI